Get all resource members
get
/crmRestApi/resources/11.13.18.05/serviceRequests/{SrNumber}/child/resourceMembers
Request
Path Parameters
-
SrNumber(required): string
The unique number that is used to identify a service request. You can configure the service request number to a format that is best suitable to your organizational requirements. For example, service request may have the formats service request0000012345, service request_000_12345, 12345_00_service request, and so on depending on your requirements.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Finds the service request resources using the member ID.
Finder Variables:- MemberId; integer; The member Id passed as parameter to the finder service.
- SrResourceMemberResourceAltKeyFinder: Finds the service request team member using the specified unique identifiers.
Finder Variables:- ResourcePartyNumber; string; The public unique identifier of the service request team member.
- SrNumber; string; The public unique identifier of the service request.
- PrimaryKey: Finds the service request resources using the member ID.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CreatedBy; string; The user who added the resource as a member of the service request.
- CreationDate; string; The date and time when the service request resource member was created.
- LastUpdateDate; string; The date and time when the service request resource member record was last updated.
- LastUpdateLogin; string; The application login associated with the user who last updated the service request resource member.
- LastUpdatedBy; string; The user who last updated the service request resource member record.
- MemberId; integer; A unique identifier service request resource member record.
- ObjectId; integer; The unique identifier of the individual resource added as service request resource member.
- ObjectTypeCd; string; The code indicating whether the resource is an individual or a team. A list of accepted values is defined in the lookup ORA_SVC_RES_OBJECT_TYPE_CD .
- PartyUniqueName; string; The unique name of the individual resource added as service request resource member.
- ResourceEmailAddress; string; The email address of the resource member.
- ResourceFormattedPhoneNumber; string; The formatted phone number of the resource member.
- ResourceName; string; The name of the individual resource added as service request resource member.
- ResourcePartyNumber; string; The public unique identifier of the service request team member.
- SrId; integer; The unique identifier of the service request that the resource is associated with.
- SrNumber; string; The public unique identifier of the service request number.
- UserGUID; string; A globally unique identifier of the resource added as the service request resource member.
- UserId; integer; The user identifier of the resource added as the service request resource member.
- Username; string; The user name of the resource member.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Nested Schema : oraCxServiceCoreSrMgmt.ResourceMember_item
Match All
The resource members resource is used to view, create, update, and delete a resource member. It's a list of agents, agent managers and subject matter experts who are associated with a service request. Multiple service request resources may be involved in resolving a service request.
Show Source
-
object
oraCxServiceCoreSrMgmt.ResourceMember_item-fields
-
object
Service Request Resource
Title:
Service Request ResourceThe resource members resource is used to view, create, update, and delete a resource member. It's a list of agents, agent managers and subject matter experts who are associated with a service request. Multiple service request resources may be involved in resolving a service request.
Nested Schema : oraCxServiceCoreSrMgmt.ResourceMember_item-fields
Type:
Show Source
object-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
memberId: string
(big-integer)
Title:
Member IDRead Only:trueA unique identifier of the service request resource member. -
objectTypeCode:
objectTypeCode
-
resourceMember:
resourceMember
-
serviceRequest:
serviceRequest
-
timeCreated: string
(date-time)
Title:
Created OnRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : Service Request Resource
Type:
objectTitle:
Service Request ResourceThe resource members resource is used to view, create, update, and delete a resource member. It's a list of agents, agent managers and subject matter experts who are associated with a service request. Multiple service request resources may be involved in resolving a service request.
Nested Schema : objectTypeCode
Match All
Indicates whether the resource is an individual or a team.
Show Source
Nested Schema : resourceMember
Match All
Indicates whether the object is referenced to the service request.
Show Source
-
object
oraCxSalesCommonResourceMgmt.Resource_item-fields
-
object
__busObj_context
-
object
Assignee Resource
Title:
Assignee ResourceIndicates whether the object is referenced to the service request.
Nested Schema : serviceRequest
Match All
The service requests resource is used to view, create, update, and delete service requests. A service request is a document to track a request from a worker for a service from the time the worker makes the request until the request is resolved.
Show Source
-
object
oraCxServiceCoreSrMgmt.ServiceRequest_item-fields
-
object
__busObj_context
-
object
Service Request
Title:
Service RequestThe service requests resource is used to view, create, update, and delete service requests. A service request is a document to track a request from a worker for a service from the time the worker makes the request until the request is resolved.
Nested Schema : oraCxSalesCommonResourceMgmt.Resource_item-fields
Type:
Show Source
object-
createdBy: string
Read Only:
trueThe user who created the record. -
endDateActive: string
(date)
Title:
To DateRead Only:trueThe date after which the resource is no longer available for transaction assignment. -
id: string
(big-integer)
Title:
Resource Profile IDRead Only:trueThe unique identifier of the resource profile. -
partyId: string
(big-integer)
Title:
Party IDRead Only:trueThe unique identifier of the party associated to the resource profile. -
person:
person
-
registryId: string
Title:
Registry IDRead Only:trueThe alternate unique identifier of the party. -
startDateActive: string
(date)
Title:
From DateRead Only:trueThe date when the resource becomes available for transaction assignment. -
timeCreated: string
(date-time)
Read Only:
trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Read Only:
trueThe date and time when the record was last updated. -
updatedBy: string
Read Only:
trueThe user who last updated the record.
Nested Schema : Assignee Resource
Type:
objectTitle:
Assignee ResourceIndicates whether the object is referenced to the service request.
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item
Match All
Resource Person records essential details pertaining to an individual within the resource framework.
Show Source
-
allOf
oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields
-
object
Resource Person
Title:
Resource PersonResource Person records essential details pertaining to an individual within the resource framework.
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[0]
Type:
Show Source
object-
internalFlag: boolean
Title:
InternalRead Only:trueDefault Value:falseIndicates whether the person is an internal member of the organization. If Y, the person is an internal member. For example, employee or retired employee. If N they're an external person. For example, partner contact, supplier contact. Default value is set to N. -
middleName: string
Title:
Middle NameThe middle name of the person. -
name: string
Title:
NameRead Only:trueThe combination of title, first, middle, last, and suffix names of the person.
Nested Schema : oraCxSalesCommonParty.Person_abstract-item
Type:
Show Source
object-
comments: string
-
doNotCallFlag: boolean
Default Value:
false -
doNotContactFlag: boolean
Default Value:
false -
doNotMailFlag: boolean
Default Value:
false -
firstName: string
-
gender:
gender
-
id: string
(big-integer)
Read Only:
true -
jobTitle: string
-
jobTitleCode:
jobTitleCode
-
lastName: string
-
middleName: string
-
name: string
Read Only:
true -
preferredContactMethod:
preferredContactMethod
-
registryId: string
-
salutation: string
-
salutoryIntroduction:
salutoryIntroduction
-
timezone:
timezone
-
title: string
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[2]
Type:
Show Source
object-
comments: string
Title:
CommentsThe free text comments about the person. -
doNotCallFlag: boolean
Title:
Do Not CallIndicates whether the person can be called or not. If the value is True, then the person must not be called. The default is False. A list of accepted values is defined using the lookup YES_NO. -
doNotContactFlag: boolean
Title:
Do Not ContactIndicates whether the person can be contacted or not by phone, e-mail, or mail. If the value is True, then the person must not be contacted. The default is False. A list of accepted values is defined using the lookup YES_NO. -
doNotMailFlag: boolean
Title:
Do Not MailIndicates whether the person can be sent mail or not. If the value is True, then the person must not be sent mail. The default is False. A list of accepted values is defined using the lookup YES_NO. -
firstName: string
Title:
First NameFirst name of the person. -
gender: string
Title:
GenderThe gender of the person as identified by them. A list of accepted values are defined in the lookup HZ_GENDER. -
id: string
Title:
Person IDThe unique identifier of the person profile. -
jobTitle: string
Title:
Job TitleThe free form text for job title of the person. -
jobTitleCode: string
Title:
Job Title CodeThe code given to the job title. -
lastName: string
Title:
Last NameThe last name of the person. -
preferredContactMethod: string
Title:
Preferred Contact MethodThe preferred communication method of a person. A list of accepted values is defined in the lookup HZ_PREFERRED_CONTACT_METHOD. -
registryId: string
Title:
Registry IDThe alternate identifier of the contact. -
salutation: string
Title:
SalutationThe phrase used to address a contact party in any correspondence. -
salutoryIntroduction: string
Title:
PrefixContains titles or honorifics preceding a person's name, like Mr., Mrs., Ms., and so on. For example, Mr. in Mr. John Smith. -
title: string
Title:
TitleA professional or family title, such as Don or The Right Honorable.
Nested Schema : Resource Person
Type:
objectTitle:
Resource PersonResource Person records essential details pertaining to an individual within the resource framework.
Nested Schema : jobTitleCode
Match All
Show Source
-
string
-
string
Allowed Values:
[ "ACCOUNTANT", "ACCOUNTS_PAYABLE_SPECIALIST", "ADMINISTRATOR", "ANALYST", "ARCHITECT", "ARTIST", "ASSISTANT", "ASSOCIATE", "ATTORNEY", "AUDITOR", "BROKER", "BUYER", "CEO", "CFO", "CHAIRMAN", "CIO", "CONSULTANT", "CONTRLR", "COO", "CTO", "DESIGNER", "DEVELOPER", "DIRECTOR", "EDITOR", "ENGINEER", "MANAGER", "OFFICER", "OPERATOR", "OWNER", "PARALEGAL", "PARTNER", "PHYSICIAN", "PLANNER", "PRESIDENT", "PRODUCER", "RECEPTIONIST", "REPORTER", "REPRESENTATIVE", "RESEARCHER", "STAFF", "SUPERVISOR", "TRAINER", "VICE PRESIDENT", "WRITER" ]
Nested Schema : oraCommonAppsInfraObjects.Timezone_item
Match All
The time zones list of values resource is used to query the time zones.
Show Source
-
object
oraCommonAppsInfraObjects.Timezone_item-fields
-
object
Time Zone
Title:
Time ZoneThe time zones list of values resource is used to query the time zones.
Nested Schema : oraCommonAppsInfraObjects.Timezone_item-fields
Type:
Show Source
object-
$sourceLang: string
Title:
Source LanguageRead Only:trueThe language in which the values of the translatable columns were created, updated, or copied from. -
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
enabledFlag: boolean
Title:
Time Zone EnabledRead Only:trueIndicates if the time zone is enabled. -
name: string
Title:
Time Zone NameRead Only:trueThe name of the time zone. -
timeCreated: string
(date-time)
Title:
Created OnRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
timezoneCode: string
Title:
Time Zone CodeRead Only:trueThe unique code that identifies the time zone. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : Time Zone
Type:
objectTitle:
Time ZoneThe time zones list of values resource is used to query the time zones.
Nested Schema : timezone-allOf[2]
Type:
objectNested Schema : oraCxServiceCoreSrMgmt.ServiceRequest_item-fields
Type:
Show Source
object-
assigneeResource:
assigneeResource
-
assistedByHumanFlag: boolean
Title:
Assisted by Human FlagIndicates whether human agents worked on the service request at any stage of its lifecycle. -
businessUnit:
businessUnit
-
category:
category
-
channelType:
channelType
-
closedDate: string
(date-time)
Title:
Date ClosedThe date when the service request was closed, if closed. -
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
createdByParty:
createdByParty
-
criticalFlag: boolean
Title:
CriticalIndicates whether the service request is critical. If critical, the value is Y, else the value is N. -
customer:
customer
-
firstTransferDate: string
(date-time)
Title:
First Transfer DateRead Only:trueThe date when the service request was first transferred. -
handledByAIFlag: boolean
Title:
Handled by AI FlagIndicates whether automation agents acted upon the service request at any point in its lifecycle. -
id: string
(big-integer)
Title:
Service Request IDRead Only:trueThe unique identifier of the service request record. -
installedBaseAsset:
installedBaseAsset
-
internalPriority:
internalPriority
-
languageCode: string
Title:
Language CodeRead Only:trueThe customer's preferred language for the service request. -
lastReopenDate: string
(date-time)
Title:
Date ReopenedThe date and time when the service request was last reopened. -
lastResolvedDate: string
(date-time)
Title:
Resolution DateThe date and time when the service request was resolved. -
lastTransferDate: string
(date-time)
Title:
Last Transfer DateRead Only:trueIndicates the date and time of the last transfer of the service request. -
lastTransferredBy: string
Title:
Last Transferred ByRead Only:trueThe user who last transferred the service request. -
lastUpdatedByParty:
lastUpdatedByParty
-
number: string
Title:
Reference NumberRead Only:trueThe unique number that's used to identify a service request. You can edit the service request number to a format that's best suitable to your organizational requirements. -
openDate: string
(date-time)
Title:
Date ReportedThe date when the service request was reported by the customer. -
originalSystemReference: string
Title:
Original SystemRead Only:trueThe reference to the service request record in the original system from which service request was imported (if imported). -
ownerTypeCode:
ownerTypeCode
-
primaryContact:
primaryContact
-
problemDescription: string
Title:
Problem DescriptionThe service request's problem description or statement and the steps to reproduce the issue. -
problemType:
problemType
-
productGroup:
productGroup
-
productItem:
productItem
-
purchaseOrder: string
Title:
Purchase OrderThe purchase order associated with the service request. -
queue:
queue
-
reportedByParty:
reportedByParty
-
resolution:
resolution
-
resolvedBy: string
Title:
Resolved ByRead Only:trueThe user who resolved the service request. -
resolvedByAIFlag: boolean
Title:
Resolved by AI FlagIndicates whether the service request was resolved with the assistance of automation agents. -
resolvedByParty:
resolvedByParty
-
resolveDescription: string
Title:
Solution DescriptionRead Only:trueThe description of how the service request has been resolved. -
resolveOutcome:
resolveOutcome
-
severity:
severity
-
source:
source
-
sourceCreatedBy: string
Title:
Source System SR Created ByRead Only:trueThe user who created the service request. -
sourceTimeUpdated: string
(date-time)
Title:
Last Update Date in Source SystemRead Only:trueThe date and time when the service request was last updated. -
sourceUpdatedBy: string
Title:
Source System SR Last Updated ByRead Only:trueThe user who last updated the service request. -
sourceUpdatedByParty:
sourceUpdatedByParty
-
status:
status
-
statusType:
statusType
-
timeCreated: string
(date-time)
Title:
Created OnRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
title: string
Title:
TitleThe brief title of the service request. -
transferCount: string
(big-integer)
Title:
Transfer CountRead Only:trueThe count showing how many times a service request has been transferred. -
transferNote: string
Title:
Transfer NoteRead Only:trueThis field contains information about transfer note. -
transferReason:
transferReason
-
uniqueExternalSystemReference: string
Title:
Unique External System Reference NumberThe unique alternative identifier of the service request in the original reference system. You can this column to store the identifier of the service request in the external application you're integrating with. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : Service Request
Type:
objectTitle:
Service RequestThe service requests resource is used to view, create, update, and delete service requests. A service request is a document to track a request from a worker for a service from the time the worker makes the request until the request is resolved.
Nested Schema : assigneeResource
Match All
Show Source
-
object
oraCxSalesCommonResourceMgmt.Resource_item-fields
-
object
__busObj_context
-
object
Assignee Resource
Title:
Assignee Resource
Nested Schema : businessUnit
Match All
Show Source
-
object
__busObj_context
-
object
Business Unit
Title:
Business Unit
Nested Schema : category
Match All
Show Source
-
object
__busObj_context
-
object
Category
Title:
Category
Nested Schema : channelType
Match All
The channel type.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Channel Type
Title:
Channel TypeThe channel type.
Nested Schema : createdByParty
Match All
Show Source
-
object
__busObj_context
-
object
Created by Party
Title:
Created by Party
Nested Schema : customer
Match All
Show Source
-
object
__busObj_context
-
object
Customer
Title:
Customer
Nested Schema : installedBaseAsset
Match All
The unique identifier of the associated install base asset record.
Show Source
-
object
__busObj_context
-
object
Installed Base Asset ID
Title:
Installed Base Asset IDThe unique identifier of the associated install base asset record.
Nested Schema : internalPriority
Match All
The internal priority of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Internal Priority Code
Title:
Internal Priority CodeThe internal priority of the service request.
Nested Schema : lastUpdatedByParty
Match All
Show Source
-
object
__busObj_context
-
object
Last Updated by Party
Title:
Last Updated by Party
Nested Schema : ownerTypeCode
Match All
The type of the service request owner. For example, customer or partner.
Show Source
Nested Schema : primaryContact
Match All
Show Source
-
object
__busObj_context
-
object
Primary Contact
Title:
Primary Contact
Nested Schema : problemType
Match All
The problem code of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Problem Type Code
Title:
Problem Type CodeThe problem code of the service request.
Nested Schema : productGroup
Match All
Show Source
-
object
__busObj_context
-
object
Product Group
Title:
Product Group
Nested Schema : productItem
Match All
Show Source
-
object
__busObj_context
-
object
Product
Title:
Product
Nested Schema : reportedByParty
Match All
Show Source
-
object
__busObj_context
-
object
Reported by Party
Title:
Reported by Party
Nested Schema : resolution
Match All
The resolution code of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Resolution Code
Title:
Resolution CodeThe resolution code of the service request.
Nested Schema : resolvedByParty
Match All
Show Source
-
object
__busObj_context
-
object
Resolved by Party
Title:
Resolved by Party
Nested Schema : resolveOutcome
Match All
The outcome of a service request resolution.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Outcome
Title:
OutcomeThe outcome of a service request resolution.
Nested Schema : severity
Match All
The severity of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Severity Code
Title:
Severity CodeThe severity of the service request.
Nested Schema : source
Match All
Indicates how the service request was created.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Source Code
Title:
Source CodeIndicates how the service request was created.
Nested Schema : sourceUpdatedByParty
Match All
Show Source
-
object
__busObj_context
-
object
Source Updated by Party
Title:
Source Updated by Party
Nested Schema : status
Match All
The status code of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Status
Title:
StatusThe status code of the service request.
Nested Schema : statusType
Match All
The status type of the service request.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Status Type
Title:
Status TypeThe status type of the service request.
Nested Schema : transferReason
Match All
The lookup code that indicates the transfer reason.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupCode_item-fields
-
object
__busObj_context
-
object
Transfer Reason
Title:
Transfer ReasonThe lookup code that indicates the transfer reason.
Nested Schema : Assignee Resource
Type:
objectTitle:
Assignee ResourceNested Schema : Business Unit
Type:
objectTitle:
Business UnitNested Schema : Category
Type:
objectTitle:
CategoryNested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type:
Show Source
objectNested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type:
Show Source
object-
$sourceLang: string
Read Only:
true -
createdBy: string
Read Only:
true -
description: string
Read Only:
true -
displaySequence: string
(big-integer)
Read Only:
true -
enabledFlag: boolean
Read Only:
true -
endDateActive: string
(date)
Read Only:
true -
lookupCategoryId: string
(big-integer)
Read Only:
true -
lookupCode: string
Read Only:
true -
lookupType: string
Read Only:
true -
meaning: string
Read Only:
true -
startDateActive: string
(date)
Read Only:
true -
tag: string
Read Only:
true -
timeCreated: string
(date-time)
Read Only:
true -
timeUpdated: string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
true
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type:
Show Source
object-
$sourceLang: string
Title:
Source LanguageThe language in which the values of the translatable columns were created, updated, or copied from. -
createdBy: string
Title:
Created ByThe user who created the record. -
description: string
Title:
Lookup Code DescriptionThe translated description of the Lookup Code. -
displaySequence: string
Title:
Display SequenceThe display sequence of the Lookup Code. -
enabledFlag: boolean
Title:
Lookup Code EnabledThe enabled flag of the Lookup Code. -
endDateActive: string
Title:
End Date ActiveThe active end date of the Lookup Code. -
lookupCategoryId: string
Title:
Lookup CategoryThe lookup category of the Lookup Code. -
lookupCode: string
Title:
Lookup Code IDThe unique identifier of the Lookup Code. -
lookupType: string
Title:
Lookup Type IDThe unique identifier of the Lookup Type. -
meaning: string
Title:
Lookup Code MeaningThe translated meaning of the Lookup Code. -
startDateActive: string
Title:
Start Date ActiveThe active start date of the Lookup Code. -
tag: string
Title:
Lookup TagThe tag value of the Lookup Code. -
timeCreated: string
Title:
Created OnThe date and time when the record was created. -
timeUpdated: string
Title:
Last Updated DateThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByThe user who last updated the record.
Nested Schema : Channel Type
Type:
objectTitle:
Channel TypeThe channel type.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
-
allOf
oraCommonAppsInfraObjects.StandardLookupType_item-fields
-
object
__busObj_context
-
object
Standard Lookup Type
Title:
Standard Lookup TypeThe standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type:
Show Source
object-
$sourceLang: string
Read Only:
true -
configurationLevel:
configurationLevel
-
createdBy: string
Read Only:
true -
description: string
Read Only:
true -
lookupCategoryId: string
(big-integer)
Read Only:
true -
lookupType: string
Read Only:
true -
meaning: string
Read Only:
true -
restAccessSecured:
restAccessSecured
-
taxonomyNode:
taxonomyNode
-
timeCreated: string
(date-time)
Read Only:
true -
timeUpdated: string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
true
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type:
Show Source
object-
$sourceLang: string
Title:
Source LanguageThe language in which the values of the translatable columns were created, updated, or copied from. -
configurationLevel: string
Title:
Configuration LevelThe configuration level of the Lookup Type. -
createdBy: string
Title:
Created ByThe user who created the record. -
description: string
Title:
Lookup Type DescriptionThe translated description of the Lookup Type. -
lookupCategoryId: string
Title:
Lookup CategoryThe lookup category of the Lookup Code. -
lookupType: string
Title:
Lookup Type IDThe unique identifier of the Lookup Type. -
meaning: string
Title:
Lookup Type MeaningThe translated meaning of the Lookup Type. -
restAccessSecured: string
Title:
REST Access SecuredThe rest access secured value of the Lookup Type. -
timeCreated: string
Title:
Created OnThe date and time when the record was created. -
timeUpdated: string
Title:
Last Updated DateThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByThe user who last updated the record.
Nested Schema : Standard Lookup Type
Type:
objectTitle:
Standard Lookup TypeThe standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
-
allOf
oraCommonAppsInfraObjects.TaxonomyNode_item-fields
-
object
__busObj_context
-
object
Taxonomy Node
Title:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type:
Show Source
object-
$sourceLang: string
Read Only:
true -
alternativeId: string
(big-integer)
Read Only:
true -
createdBy: string
Read Only:
true -
description: string
Read Only:
true -
hierarchySource:
hierarchySource
-
moduleGUID: string
Read Only:
true -
moduleKey: string
Read Only:
true -
moduleName: string
Read Only:
true -
moduleType:
moduleType
-
timeCreated: string
(date-time)
Read Only:
true -
timeUpdated: string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
true -
userModuleName: string
Read Only:
true
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type:
Show Source
object-
$sourceLang: string
Title:
Source LanguageThe language in which the values of the translatable columns were created, updated, or copied from. -
alternativeId: string
Title:
Alternative IDThe alternative identifier of the taxonomy node. -
createdBy: string
Title:
Created ByThe user who created the record. -
description: string
Title:
Module DescriptionThe translated description of the taxonomy node. -
moduleGUID: string
Title:
Module GUIDThe unique identifier of the taxonomy node. -
moduleKey: string
Title:
Module KeyThe unique identifier of the module. -
moduleName: string
Title:
Module NameThe descriptive name of the taxonomy node. -
moduleType: string
Title:
Module TypeThe type of the taxonomy node. -
timeCreated: string
Title:
Created OnThe date and time when the record was created. -
timeUpdated: string
Title:
Last Updated DateThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByThe user who last updated the record. -
userModuleName: string
Title:
User Module NameThe translated visible name of the taxonomy node.
Nested Schema : Taxonomy Node
Type:
objectTitle:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
-
object
oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
-
object
__busObj_context
-
object
Taxonomy Hierarchy
Title:
Taxonomy HierarchyThe taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type:
Show Source
object-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
sourceModuleGUID: string
Title:
Source Module GUIDRead Only:trueThe unique identifier of the source taxonomy node. -
sourceNode:
sourceNode
-
targetModuleGUID: string
Title:
Target Module GUIDRead Only:trueThe unique identifier of the target taxonomy node. -
targetNode:
targetNode
-
timeCreated: string
(date-time)
Title:
Created OnRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : Taxonomy Hierarchy
Type:
objectTitle:
Taxonomy HierarchyThe taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
-
allOf
oraCommonAppsInfraObjects.TaxonomyNode_item-fields
-
object
__busObj_context
-
object
Taxonomy Node
Title:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
-
allOf
oraCommonAppsInfraObjects.TaxonomyNode_item-fields
-
object
__busObj_context
-
object
Taxonomy Node
Title:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Taxonomy Node
Type:
objectTitle:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Taxonomy Node
Type:
objectTitle:
Taxonomy NodeThe taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Created by Party
Type:
objectTitle:
Created by PartyNested Schema : Customer
Type:
objectTitle:
CustomerNested Schema : Installed Base Asset ID
Type:
objectTitle:
Installed Base Asset IDThe unique identifier of the associated install base asset record.
Nested Schema : Internal Priority Code
Type:
objectTitle:
Internal Priority CodeThe internal priority of the service request.
Nested Schema : Last Updated by Party
Type:
objectTitle:
Last Updated by PartyNested Schema : Primary Contact
Type:
objectTitle:
Primary ContactNested Schema : Problem Type Code
Type:
objectTitle:
Problem Type CodeThe problem code of the service request.
Nested Schema : Product Group
Type:
objectTitle:
Product GroupNested Schema : Product
Type:
objectTitle:
ProductNested Schema : Queue
Type:
objectTitle:
QueueNested Schema : Reported by Party
Type:
objectTitle:
Reported by PartyNested Schema : Resolution Code
Type:
objectTitle:
Resolution CodeThe resolution code of the service request.
Nested Schema : Resolved by Party
Type:
objectTitle:
Resolved by PartyNested Schema : Outcome
Type:
objectTitle:
OutcomeThe outcome of a service request resolution.
Nested Schema : Severity Code
Type:
objectTitle:
Severity CodeThe severity of the service request.
Nested Schema : Source Code
Type:
objectTitle:
Source CodeIndicates how the service request was created.
Nested Schema : Source Updated by Party
Type:
objectTitle:
Source Updated by PartyNested Schema : Status
Type:
objectTitle:
StatusThe status code of the service request.
Nested Schema : Status Type
Type:
objectTitle:
Status TypeThe status type of the service request.
Nested Schema : Transfer Reason
Type:
objectTitle:
Transfer ReasonThe lookup code that indicates the transfer reason.
Examples
The following example shows how to get information on all resource members by submitting a GET request on the REST resource.
Example of Request Header
The following shows an example of the request header.
GET /crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Date: Wed, 20 Sep 2016 11:40:50 GMT Server: Oracle-HTTP-Server-11g Content-Type: application/vnd.oracle.adf.resourceitem+json Content-Language: en
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"items": [
{
"MemberId": 300100092156953,
"SrId": 300100092156941,
"ObjectTypeCd": "ORA_SVC_RESOURCE",
"ObjectId": 100010032635399,
"CreatedBy": "autouicsm1",
"CreationDate": "2016-09-08T03:57:28-07:00",
"LastUpdatedBy": "autouicsm1",
"LastUpdateDate": "2016-09-08T03:58:25-07:00",
"LastUpdateLogin": "3BFDA714014A0F85E053780CF10A6832",
"ResourceName": "Dan Foreman",
"PartyUniqueName": "Dan Foreman",
"ResourceEmailAddress": "sendmail-test-discard@oracle.com",
"ResourceFormattedPhoneNumber": "+1 (415) 820-3815",
"UserGUID": "331DF0E7846E4318E2B2399766991627",
"UserId": 100010032635372,
"Username": "SALES_REPRESENTATIVE",
"OwnerFlag": true,
"links": [
{
"rel": "self",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156953",
"name": "resourceMembers",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000003737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787200106A6176612E6C616E672E4F626A656374000000000000000000000078700000000178"
}
},
{
"rel": "canonical",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156953",
"name": "resourceMembers",
"kind": "item"
},
{
"rel": "parent",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002",
"name": "serviceRequests",
"kind": "item"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156953/lov/ResourcePickerPVO",
"name": "ResourcePickerPVO",
"kind": "collection"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156953/lov/ObjectTypeLookup",
"name": "ObjectTypeLookup",
"kind": "collection"
}
]
},
{
"MemberId": 300100092156951,
"SrId": 300100092156941,
"ObjectTypeCd": "ORA_SVC_RESOURCE",
"ObjectId": 300100075337077,
"CreatedBy": "autouicsm1",
"CreationDate": "2016-09-08T03:56:49-07:00",
"LastUpdatedBy": "autouicsm1",
"LastUpdateDate": "2016-09-08T03:58:25-07:00",
"LastUpdateLogin": "3BFDA714014A0F85E053780CF10A6832",
"ResourceName": "autouicsm1 svc",
"PartyUniqueName": "autouicsm1 svc",
"ResourceEmailAddress": "autouicsm1@oracle.com",
"ResourceFormattedPhoneNumber": null,
"UserGUID": "88CC09DCC20A93F7BB0F1C3D400D45E5",
"UserId": 100100048620337,
"Username": "autouicsm1",
"OwnerFlag": false,
"links": [
{
"rel": "self",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156951",
"name": "resourceMembers",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000003737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787200106A6176612E6C616E672E4F626A656374000000000000000000000078700000000178"
}
},
{
"rel": "canonical",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156951",
"name": "resourceMembers",
"kind": "item"
},
{
"rel": "parent",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002",
"name": "serviceRequests",
"kind": "item"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156951/lov/ResourcePickerPVO",
"name": "ResourcePickerPVO",
"kind": "collection"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156951/lov/ObjectTypeLookup",
"name": "ObjectTypeLookup",
"kind": "collection"
}
]
},
{
"MemberId": 300100092156952,
"SrId": 300100092156941,
"ObjectTypeCd": "ORA_SVC_RESOURCE",
"ObjectId": 300100075388631,
"CreatedBy": "autouicsm1",
"CreationDate": "2016-09-08T03:56:49-07:00",
"LastUpdatedBy": "autouicsm1",
"LastUpdateDate": "2016-09-08T03:58:25-07:00",
"LastUpdateLogin": "3BFDA714014A0F85E053780CF10A6832",
"ResourceName": "autouislr1 svc",
"PartyUniqueName": "autouislr1 svc",
"ResourceEmailAddress": "autouislr1@oracle.com",
"ResourceFormattedPhoneNumber": null,
"UserGUID": "AF0BB547DED57A329ABC84A07F6CB1BF",
"UserId": 100100048620373,
"Username": "autouislr1",
"OwnerFlag": false,
"links": [
{
"rel": "self",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156952",
"name": "resourceMembers",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000003737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787200106A6176612E6C616E672E4F626A656374000000000000000000000078700000000178"
}
},
{
"rel": "canonical",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156952",
"name": "resourceMembers",
"kind": "item"
},
{
"rel": "parent",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002",
"name": "serviceRequests",
"kind": "item"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156952/lov/ResourcePickerPVO",
"name": "ResourcePickerPVO",
"kind": "collection"
},
{
"rel": "lov",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers/300100092156952/lov/ObjectTypeLookup",
"name": "ObjectTypeLookup",
"kind": "collection"
}
]
}
],
"count": 3,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/resourceMembers",
"name": "resourceMembers",
"kind": "collection"
}
]
}